Subject: [v6ops] Comments on draft-ietf-v6ops-unique-ipv6-prefix-per-host-01

From: Tim Chown <[email-masked]>
Date: Mon, 14 Nov 2016 04:44:05 +0000

Hi,

I like the draft. 

Some generally very minor comments:

- Move the ‘Benefits..’ sentence to the end of the abstract.

- "at current time there is a non-trivial UE/subscriber base not supporting DHCPv6 IA_NA” - well, there’s another way to fix that, but… :)  

- s/his/their

- In section 4 you say the UE SHOULD NOT perform stateful DHCP.  What happens if it does? (draft-ietf-v6ops-dhcpv6-slaac-problem-07 discusses such issues)

- RFC 6343, 6180, 6106 and I-D.ietf-v6ops-v4v6tran-framework are in the references, but not the text.

Best wishes,
Tim

---

From: Lorenzo Colitti <[email-masked]>
Date: Mon, 14 Nov 2016 14:09:35 +0900

On Mon, Nov 14, 2016 at 1:44 PM, Tim Chown <[email-masked]> wrote:

> - "at current time there is a non-trivial UE/subscriber base not
> supporting DHCPv6 IA_NA” - well, there’s another way to fix that, but… :)
>

Actually, the thing to say here is that an IA_NA-only network is not
recommended per RFC 7934 section 8.

---

From: Tim Chown <[email-masked]>
Date: Mon, 14 Nov 2016 05:16:46 +0000

On 14 Nov 2016, at 05:09, Lorenzo Colitti <[email-masked]<mailto:[email-masked]>> wrote:

On Mon, Nov 14, 2016 at 1:44 PM, Tim Chown <[email-masked]<mailto:[email-masked]>> wrote:
- "at current time there is a non-trivial UE/subscriber base not supporting DHCPv6 IA_NA” - well, there’s another way to fix that, but… :)

Actually, the thing to say here is that an IA_NA-only network is not recommended per RFC 7934 section 8.

That would indeed be a better way to put it.

Tim

---

From: "Brzozowski, John" <[email-masked]>
Date: Mon, 14 Nov 2016 11:34:44 +0000

There are large portions of the Comcast network where we only support DHCPv6 assigned IA_NAs today.  Most if not all of the same use DHCPv6.

However, Xfinity Wi-Fi, which is essentially what is documented in the I-D, does NOT utilize DHCPv6 for IA_NA assignment.  This does not seem to be equal to the statement offered by Lorenzo below.

I think Lorenzo’s statement is much broader and may be appropriate just not for the unique prefix per host I-D.  At this time I have no plans to include this text.

John
+1-484-962-0060

From: v6ops <[email-masked]> on behalf of Lorenzo Colitti <[email-masked]>
Date: Monday, November 14, 2016 at 14:09
To: Tim Chown <[email-masked]>
Cc: v6ops <[email-masked]>
Subject: Re: [v6ops] Comments on draft-ietf-v6ops-unique-ipv6-prefix-per-host-01